Subject: [ipwave] Wireshark Bug with WSMP (IEEE 1609.3)

From: <[email-masked]>
Date: Tue, 6 Jun 2017 16:15:14 +0000 (UTC)

All,

Just FYI, there was a Wireshark bug with the dissector for WSMP (IEEE 1609.3).   The Wireshark developers did not have the most current spec.   I chatted with the Wireshark folks & they said to go ahead and do a bug report for the WSMP formatting problems.  (I know the WS core developers from various other contacts in the past).   One of the developers is looking at the bug report.    Will be good to have Wireshark be current.  Also, then, we are on their radar & can have other conversations.  Good to have them interested.

Bug is below:

[Bug 13766] Dissector for WSMP (IEEE 1609.3) not current

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13766

Also, I am trying to get myself up to date & do all the reading in this WG so that I can participate somewhat meaningfully!    Alex Petrescu has been kind enough to provide me packet traces and answer questions privately.

If anyone has any packet traces / info they might share so that I can get up to speed more quickly, I would really appreciate that!   I don't know about others, but when I can actually see a packet trace, I can understand much more quickly.

I am happy to work with the Wireshark people & do whatever other work might help the WG in return.

Thanks,

Nalini Elkins
CEO and Founder
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360